6.0.0-git
2021-01-18

[#9646] SyncML failure with Nokia N8
Summary SyncML failure with Nokia N8
Queue Synchronization
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester leena.heino (at) uta (dot) fi
Created 2011-03-09 (3603 days ago)
Due
Updated 2011-03-16 (3596 days ago)
Assigned 2011-03-10 (3602 days ago)
Resolved 2011-03-16 (3596 days ago)
Milestone
Patch No

History
2011-03-16 23:52:11 Jan Schneider State ⇒ Resolved
 
2011-03-16 23:46:09 Git Commit Comment #17 Reply to this comment
Changes have been made in Git for this ticket:

Bug #9646: preg_replace_callback() passes an array to the callback function.

  1 files changed, 4 insertions(+), 4 deletions(-)
http://git.horde.org/horde-git/-/commit/2cc9e3fc94e2f3c9279b74fd4a215ff42c8ccc13
2011-03-16 23:21:13 Jan Schneider Comment #16 Reply to this comment
Wild guessing doesn't get us anywhere. What *is* the content of $date
in _initializeFromArgs()?
$date in _initializeFromArrays() is empty
No sorry. It is $date = array (0 -> '20110316T212826Z'). I assume 
this is not compatible to initializeFromArrays?
Sometimes I really hate PHP: http://bugs.php.net/bug.php?id=14343
2011-03-16 21:58:01 hordetest (at) trash-mail (dot) com Comment #15 Reply to this comment

[Show Quoted Text - 14 lines]
Now I got it. I removed the sync history and only changed:

Device.php Line 276
     public function convertUTC2LocalTime($utc)
     {
         $date = new Horde_Date($utc[0]);

Probably there's a better solution, but at least it is working :)
2011-03-16 21:50:53 hordetest (at) trash-mail (dot) com Comment #14 Reply to this comment

[Show Quoted Text - 12 lines]
Ok, it's not yet the solution :) My Nokia is syncing now at least with 
no error, but entries are not on the phone.
2011-03-16 21:45:17 hordetest (at) trash-mail (dot) com Comment #13 Reply to this comment
Wild guessing doesn't get us anywhere. What *is* the content of $date
in _initializeFromArgs()?
$date in _initializeFromArrays() is empty
No sorry. It is $date = array (0 -> '20110316T212826Z'). I assume 
this is not compatible to initializeFromArrays?
I found the issue. Syncml_Device is passing an array, but a datetime 
string is expected.

This is working for me: Device.php Line 208:
array($this, 'convertUTC2LocalTime'),$content[0]);


2011-03-16 21:34:45 hordetest (at) trash-mail (dot) com Comment #12 Reply to this comment
Wild guessing doesn't get us anywhere. What *is* the content of $date
in _initializeFromArgs()?
$date in _initializeFromArrays() is empty
No sorry. It is $date = array (0 -> '20110316T212826Z'). I assume this 
is not compatible to initializeFromArrays?
2011-03-16 21:24:07 hordetest (at) trash-mail (dot) com Comment #11 Reply to this comment
Wild guessing doesn't get us anywhere. What *is* the content of 
$date in _initializeFromArgs()?
$date in _initializeFromArrays() is empty
2011-03-15 14:35:41 Jan Schneider Comment #10 Reply to this comment
Wild guessing doesn't get us anywhere. What *is* the content of $date 
in _initializeFromArgs()?
2011-03-14 22:08:53 hordetest (at) trash-mail (dot) com Comment #9 Reply to this comment
That doesn't help. I need someone who sees this, to track down where 
this 0 is coming from, and what kind of weird PHP behavior makes it 
pass the explicit value filter in Horde_Date::_initializeFromArray().
Is it maybe another issue which is related to PHP 5.2?
2011-03-14 22:03:18 Jan Schneider Comment #8 Reply to this comment
That doesn't help. I need someone who sees this, to track down where 
this 0 is coming from, and what kind of weird PHP behavior makes it 
pass the explicit value filter in Horde_Date::_initializeFromArray().
2011-03-14 21:54:50 hordetest (at) trash-mail (dot) com Comment #7 Reply to this comment
Comment #3 still applies. I don't see how a property _0 could be set 
from the method listed in your backtrace.
I guess it is a nokia specific method:
12. Horde_SyncMl_Device_Nokia->convertServer2Client()
/var/www/horde/framework/SyncMl/lib/Horde/SyncMl/Sync.php:490
13. Horde_SyncMl_Device->convertServer2Client()
/var/www/horde/framework/SyncMl/lib/Horde/SyncMl/Device/Nokia.php:68

Same sync with funambol works fine.
2011-03-14 21:41:45 Jan Schneider Comment #6 Reply to this comment
Comment #3 still applies. I don't see how a property _0 could be set 
from the method listed in your backtrace.
2011-03-14 15:33:45 hordetest (at) trash-mail (dot) com Comment #5 Reply to this comment
It seems only this error is related to a bug:
2011-03-09T10:31:05+02:00 EMERG: HORDE [horde] Undefined property _0 
[pid 32360 on line 450 of 
"/var/www/horde/framework/Date/lib/Horde/Date.php"]
2011-03-09T10:31:05+02:00 DEBUG:  1. Horde_Rpc_Syncml->getResponse() 
/var/www/horde/horde/rpc.php:127
2. Horde_SyncMl_ContentHandler->process() 
/var/www/horde/framework/Rpc/lib/Horde/Rpc/Syncml.php:52
3. Horde_Xml_Wbxml_Decoder->decode() 
/var/www/horde/framework/SyncMl/lib/Horde/SyncMl/ContentHandler.php:153
4. Horde_Xml_Wbxml_Decoder->_decode() 
/var/www/horde/framework/Xml_Wbxml/lib/Horde/Xml/Wbxml/Decoder.php:180
5. Horde_Xml_Wbxml_Decoder->parseTag() 
/var/www/horde/framework/Xml_Wbxml/lib/Horde/Xml/Wbxml/Decoder.php:424
6. Horde_SyncMl_ContentHandler->endElement() 
/var/www/horde/framework/Xml_Wbxml/lib/Horde/Xml/Wbxml/Decoder.php:452
7. Horde_SyncMl_ContentHandler->handleCommand() 
/var/www/horde/framework/SyncMl/lib/Horde/SyncMl/ContentHandler.php:303
8. Horde_SyncMl_Command_Final->handleCommand() 
/var/www/horde/framework/SyncMl/lib/Horde/SyncMl/ContentHandler.php:433
9. Horde_SyncMl_State->handleFinal() 
/var/www/horde/framework/SyncMl/lib/Horde/SyncMl/Command/Final.php:45
10. Horde_SyncMl_Sync->handleFinal() 
/var/www/horde/framework/SyncMl/lib/Horde/SyncMl/State.php:399
11. Horde_SyncMl_Sync->createSyncOutput() 
/var/www/horde/framework/SyncMl/lib/Horde/SyncMl/Sync.php:641
12. Horde_SyncMl_Device_Nokia->convertServer2Client() 
/var/www/horde/framework/SyncMl/lib/Horde/SyncMl/Sync.php:490
13. Horde_SyncMl_Device->convertServer2Client() 
/var/www/horde/framework/SyncMl/lib/Horde/SyncMl/Device/Nokia.php:68
14. preg_replace_callback() 
/var/www/horde/framework/SyncMl/lib/Horde/SyncMl/Device.php:208
15. Horde_SyncMl_Device->convertUTC2LocalTime()
16. Horde_Date->__construct() 
/var/www/horde/framework/SyncMl/lib/Horde/SyncMl/Device.php:278
17. Horde_Date->_initializeFromArray() 
/var/www/horde/framework/Date/lib/Horde/Date.php:218
18. Horde_Date->__set() /var/www/horde/framework/Date/lib/Horde/Date.php:1034

The other error messages are related to configuration issues.

[Show Quoted Text - 15 lines]
2011-03-11 19:25:35 hordetest (at) trash-mail (dot) com Comment #4 Reply to this comment
In this ticket there are several problems described. My sync for nokia 
is working with nag and turba. Just kronolith breaks. With funambol 
all syncs are working. So my guess this issue is related only to Nokia 
sync.

[Show Quoted Text - 10 lines]
2011-03-10 11:11:47 Jan Schneider Comment #3
Assigned to Jan Schneider
State ⇒ Feedback
Reply to this comment
Your address book's driver type can't be read. Either you have a 
broken address book configuration, or the driver name is not correctly 
passed to the driver factory.
Check the value of the $name variable in turba/lib/Factory/Driver.php 
create().

I don't see how that exception from Horde_Date can happen at all. The 
code that calls __set() with the invalid property name explicitly only 
allows a set of valid property names. And "0" is none of those.
2011-03-10 11:11:35 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Bug #9646: listTasks() takes an array.

  1 files changed, 1 insertions(+), 1 deletions(-)
http://git.horde.org/horde-git/-/commit/44f2734b37da467e4eb2bb3bc85047d9896d7d6b
2011-03-09 17:48:44 leena (dot) heino (at) uta (dot) fi Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ SyncML failure with Nokia N8
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
New Attachment: syncml-bt.txt Download
Reply to this comment
SyncML failure with Nokia N8.

Saved Queries